Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.wtc.jatmi
Class TuxedoReply

    java.lang.Object
      weblogic.wtc.jatmi.TuxedoReply

All Implemented Interfaces:
  Serializable, Reply

Direct Known Subclasses:
  DequeueReply, TPServiceInformation

    public class TuxedoReply

extends Object
implements Reply

This class holds the reply data and meta-data from a service invocation.

See Also:
  `Reply`, Serialized Form

Constructor Summary
`TuxedoReply()` Constructs this object with all objects being null or 0
`TuxedoReply(TypedBuffer tb, int tpurcode, CallDescriptor cd)` Constructs a reply return with the given data, tpurcode and server return code.

Method Summary
`CallDescriptor` | `getCallDescriptor()` Returns the service descriptor returned from tpgetrply
`TypedBuffer` | `getReplyBuffer()` Returns the (possibly null) typed buffer returned from a service
`int` | `gettpurcode()` Returns the tpurcode returned from a service
`void` | `setCallDescriptor(CallDescriptor cd)` Sets the call descriptor to be returned with this reply
`void` | `setReplyBuffer(TypedBuffer tb)` Sets the (possibly null) typed buffer returned from a service
`void` | `settpurcode(int tpurcode)` Sets the tpurcode returned from a service
`String` | `toString()` toString gives a readable version of this object

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TuxedoReply

    public TuxedoReply()

  Constructs this object with all objects being null or 0

### TuxedoReply

    public TuxedoReply(TypedBuffer tb,
                       int tpurcode,
                       CallDescriptor cd)

  Constructs a reply return with the given data, tpurcode and server return code.

  Parameters:
    `tb` - The typed buffer reply data. May be NULL
    `tpurcode` - The tpurcode returned from the service
    `cd` - The call descriptor to be returned with this reply (may be null)

Method Detail

### getReplyBuffer

    public TypedBuffer getReplyBuffer()

  Returns the (possibly null) typed buffer returned from a service

  Specified by:
    `getReplyBuffer` in interface `Reply`
  Returns:
    a possibly null `TypedBuffer` object that is the response from a service
  See Also:
    `TypedBuffer`

### gettpurcode

    public int gettpurcode()

  Returns the tpurcode returned from a service

  Specified by:
    `gettpurcode` in interface `Reply`
  Returns:
    an `integer` tpurcode response from a service

### getCallDescriptor

    public CallDescriptor getCallDescriptor()

  Returns the service descriptor returned from tpgetrply

  Specified by:
    `getCallDescriptor` in interface `Reply`
  Returns:
    a service descriptor
  See Also:
    `ApplicationToMonitorInterface.tpgetrply(weblogic.wtc.jatmi.CallDescriptor, int)`

### setReplyBuffer

    public void setReplyBuffer(TypedBuffer tb)

  Sets the (possibly null) typed buffer returned from a service

  Parameters:
    `tb` - The reply buffer to be used as returned data
  See Also:
    `TypedBuffer`

### settpurcode

    public void settpurcode(int tpurcode)

  Sets the tpurcode returned from a service

  Parameters:
    `tpurcode` - The user code to be returned from the service

### setCallDescriptor

    public void setCallDescriptor(CallDescriptor cd)

  Sets the call descriptor to be returned with this reply

  Parameters:
    `cd` - The call descriptor (may be null)

### toString

    public String toString()

  toString gives a readable version of this object

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD